_______________________________________________________________________________

Release Notes for the cataRT data-driven concatenative sound synthesis system in real time based on unit selection from large databases for Max/MSP/FTM

copyright 2005-2009 Diemo Schwarz, Real-Time Music Interaction Team (IMTR),
	  	    Ircam - Centre Pompidou

CataRT is essentially based on FTM&Co. by Norbert Schnell et al.,
For more information see http://imtr.ircam.fr

This program is free software; you can use it and/or modify it under the terms of the "Ircam FORUM Libre" free software License.  See files "contrat-forum-2008-v4-LIBRES-FINAL-ENGLISH.pdf" or "contrat-2008-forum-libre.pdf" for further informations on licensing terms.
_______________________________________________________________________________


REALLY READ: the file README.txt with its quickstart guide and 
             http://imtr.ircam.fr/index.php/CataRT for more information

KNOWN BUGS:  
- Ignore messages like "catart.target: object not found"
- Some soundfiles produce units with NaN (not a number) values which then
  messes up the statistics and the selection doesn't work anymore.  
  You'll see messages like this when this happens:
    variance 12 = nan --> <fvec col [#2067]>
  Workaround: export and re-import the corpus, the NaNs become zeros.


cataRT-1.1.3		30.07.2010    dedicated to Pascal Balthazar

 - catart.lcd / lcd3:
   - change colour of deactivated units, and lcd background colour
   - set all comments to named default -> colourschemes work!
 - new catart.lcd4: split lcd3 into two parts:
   - driver+drawing part (catart.display.lcd) to live in a bpatcher
   - gui settings part (catart.lcd4)
 - catart.data: 
   - fixed enable-within
   - fixed empty default symbol: was '' but got lost in dict export
   - clear didn't clear symbol list
 - catart.import: fixed soundset symbols: really only one created
 - catart.select: lookup descriptors on set-descriptors message
 - catart.weights.gui: accepts set-corpus
 - added missing tutorial catart tut 2-4 many selections 

cataRT-1.1.3-pre	 28.05.2010	with thanks to Aaron Einbond

 - get pattrstorage interface working in lcd (reported by richard chorlton)
 - proxy set-corpus avoiding receive with set message because of memory leak in Max5
 - not yet: new tutorial with live-control patches contributed by Aaron Einbond

cataRT-1.1.2 		 09.03.2010

 - made init completely warning-free, thanks to Alexis Baskind and Aaron Einbond
 - delete units, soundfile, disabled, explained in tutorial 1-3
 - repair these pesky "ignore click" flags that switched themselves on for the dropfile objects, 
   possibly while porting from Max4
 - new matlab support function catart_reexport_units.m


cataRT-1.1.1		 11.11.2009	For FTM-2.5-beta-6 at least

This version mainly fixes the annoying prerequisite to have the sound card
set and configured before loading the patch.

- catart.data: 
  - reexport method writes corpus files back to where they were imported from, thereby replacing the sound file paths with the actually found absolute paths, thus speeding up loading
  - sound file cache also takes account of changed import limit and sampling rate
- catart.init: gives a warning again, when sampling rate is not configured
- catart.synthesis~: fixed a missing parameter update when sampling rate is changed
- catart.select: tentative walk and chainlen options


cataRT-1.1.0		 30.10.2009	For FTM-2.5-beta-6 at least

This release is dedicated to Aaron Einbond with many thanks for thorough testing!

- catart.lcd and catart.lcd3: 
  - the override message with pixel position argument is now deprecated, replaced by "setpos" with arguments between 0 and 1 where (0, 0) is the lower-left corner.  (N.B. the much nicer name "position" can't be used since it is again reserved by Max for moving message boxes around...)
  - Adapted tutorial 2-6.  
  - Made "draw-selected-unit" callable from the outside again.
  - Removed (Max5 only?) error message.
  - Removed the unused #1_lcd-pos send.

- catart.synthesis~ and catart.synthesis.multi: 
  - sample-precise overlapped playback in chain and cont mode, thanks to gbr.delay instead of Max's delay.
  this made one big change necessary: units are now always(!) extend by fade time for smooth overlap
    N.B. that DSP has to be switched on now for these trigger modes to work!
  - new message interp <0|1> to switch on sub-sample interpolation for gbr.ola~
  Also, if your segments are very short, don't forget to change the synth speed limit set in catart.init.  Sending "; catart.synthesis speedlim 0 0" will remove it, since It'll block grains if rate is too fast, thus maybe interrupt cont and chain.  If your corpus is well segmented it'll make no difference, however.

- catart.select and catart.select.kdtree: 
  - beat trigger mode uses sub-sample-precise gabor.fire~ based metronome (now rate 0 = stop)   (You can always simulate the shitty timing of the former Max metronome by using "rate std 10" =-)  N.B. that now DSP has to be switched on for trigger modes beat, cont, chain to work!
  - cont mode restarts at beginning of corpus when finished

- catart.data:
  - corpus import searches sound files also in the directory of the corpus files
  - using the schema class to declare column names for descriptor and unitdata matrices, visible (and editable!) by invoking ftm.editor with "show (descriptors|unitdata|unitstat|soundfiles|sounddata)"

- catart.init: found why the loadbang init didn't work (seg parameters were set after the default choice had been made
  --> - YOU MUST *NO LONGER* HIT THE INIT BANG!

- new tutorial 1-1 "what goes where" explaining conventions how to send messages to catart modules


cataRT-1.0.3		 20.10.2009	For Max 5

This release is dedicated to Pierre Alexandre Tremblay, with many thanks for his perseverant bug exploration.

- catart.data.proxy: new method get-descriptor-mat retrives internal data structure for display in ftm.editor table
- lcd, select modules: renamed message mousedown to mouse-down, because Cycling had the bad taste to suddenly use this message for UI communication to the messagebox in Max5!   (This caused blue warning lines in the console.)
- fixed ftm.mdispatch init problem that could produce errors like 
  'ftm.mess: operand type mismatch for in "($1 != $cache)"'
- catart.weights.gui: fixed wrong connection, now the target tutorials work again
- fixed small mistakes in tutorials 2-3 and 1-4.


cataRT-1.0.2		 20.09.2009	For Max 5

- fix Max5 UI compatibility problems: 
  - The umenu no longer can be used to re-select the current item, so I added an invisible button under the Axis labels to reset descriptor ranges.
  - Cycling unexplicably but intentionally removed the feature that #1, #2, etc.  are replaced by the abstraction or bpacher args in comments:
    [http://www.cycling74.com/forums/index.php?t=msg&goto=170928&rid=0&srch=comment#msg_170928]
    However, the ftm.mess does replace #1, looks nice, keeps line breaks and can be made non-clickable.  One more max object that ftm.mess can replace! 


cataRT-1.0.1		 09.09.2009	For Max 5

- catart.import:
  - much faster import with 0 delay between frames in gbr.fmat.slice analysis, the previous slack of 5ms is no longer needed for dual-processor machines
  - fixed crash with SDIF marker import


cataRT-1.0.0		 19.08.2009	For Max 5

- needs FTM-2.5-beta5 at least
- same functionality as cataRT-0.9.8
  (resaved patches in Max 5 to get rid of bogus compatibility messages)
- slightly adapted menu text sizes to be readable under Max 5
- refined some tutorials
- tidy up distribution directory by using sub-directories (modules, lib, gui)
  --> you MUST now add the catart dir to your search paths!
- changed license to Forum libre license


cataRT-0.9.8		 18.08.2009	Last release for Max 4.6

- catart.data:
  - autoload message: load corpus file given by corpus name, keep imported path in corpus dict for verification
  - faster file import: try full paths first, then try in last found directory, only then try in search path; output only first soundfile found or warning
- voice handling in lcd for display of selected unit, and in catart.select
- revisited and updated all tutorials, notably 2-5 multichannel
- new tutorial tut 2-6 multi-point, for Annie Scrève
- new interfact module catart.weights.gui for mosaicing tutorials


cataRT-0.9.8-pre3	 20.03.2009	First prerelease for Max5!

- needs FTM 2.5-beta-0
- based on cataRT-0.9.8-pre2
- catart.data: fix missing init in add-unit-and-data for add-soundfmat
- catart.select: workaround zero-y-range crash in vecdisplay
- catart.lcd: tweak ui for max5 (umenu!)


cataRT-0.9.8-pre2	 13.11.2008

- catart.select.record: new module to record the lcd output to SDIF, and tutorial 1-8
- catart.select.kdtree


cataRT-0.9.8-pre1	 13.11.2008

- display: enable on/off of x/y-axes to scrub only along one axis
- catart tut 1-7 import from fmat: use faster 'sin' on matrix instead of 'apply $expr'
- catart.modsource/modtarget to build auto-scaling modulation matrix
- catart.synthesis.sfplay~: renamed catart.synthesis.pdtd~


SampleOrchestrator demo  23.10.2008

- catart.lcd3: OMG! zoom&pan, tiled view
- catart.select.kdtree: tree-based log-time selection for large corpora
- catart.synthesis.pdtd~: direct from disk synthesis using sfplay in poly


cataRT-0.9.7	 	 19.09.2008	centenary edition

This release is dedicated to my grand-mother in law, Fernande Doyere, 
who celebrates today her 100th birthday!

- catart.import: optimised gbr.yin by using window size below
  threshold for vectorisation (2044) AND downsampling input by factor 4
- catart.data: fixed file search on corpus import: really stop looking
  after first file variant found (full path, filename only, full path flac, 
  filename flac).  Fixes very long load time for corpora with many small files.
- catart.import: fixed possible crash in import queue
- suppress ftm.mess errors on init: only half the support requests!  =-)


cataRT-0.9.6	 	 06.09.2008

- documentation
  - added link to full CataRT doc
    http://imtr.ircam.fr/index.php/CataRT_Documentation, added as pdf
    and html to distribution
  - added tutorial browser
  - completed main help patches with catart.synthesis~.help
- catart.data: work around a bug in ftm not correctly resampling
  imported files to current sampling rate
- catart.synthesis.lookup: new sub-module used in various synthesis modules
- catart.synthesis.sfplay~: first go at direct-from-disk output.
  Files are only loaded into RAM for analysis, then played from disk
  (with sfplay timing problems --- I'd appreciate help from experienced 
  maxers for that).
- catart.lcd: fixed descriptor axis choice after importing: now
  selection works right away.  Thanks to Nicolas Déflache for pointing
  out this annoyance.

cataRT-0.9.6-pre2 	 01.09.2008

- catart.import: made analysis sr-independent (chooses winsize and yin
  min-freq according to sample rate) --- thanks to Damian O'Riain and
  Miguel Agnel Ortiz-Perez for testing
- catart.lcd:
  - new trigger modes click (press mouse button to play once) and grab
    (hold mouse button and bow)
  - numbox for k-nearest neighbour mode (deactivates radius if > 0),
    shift-drag left/right to change, visual feedback: red box
  - fixed descriptor limits only accepting integer numbers, 
    thanks to Miguel Agnel Ortiz-Perez for finding that long-standing bug!
- catart.init: left bang comes really after all inits

cataRT-0.9.6-pre1 	 16.06.2008

- catart.data: import-fmat <name> <fmat-with-sound> to import generated sound 
  (Thanks to Reinhold Fuchs for inspiring this.)
  -> tutorial 1-7 import from fmat
- ftm.mdispatch: optimised primitive targets using send, and also message dispatch
- catart.lcd: fix display bug with interpolation for 0-range descriptors


cataRT-0.9.5 	 06.06.2008

- catart.lcd: 
  - made drawing more than 20 times faster by replacing [scale] with matrix operations!
  - if chosen colour descriptor is symbol, can draw group label at group mean position
  - animation of units on descriptor change made with FTM&Co course at Ircam, 25.5.
- catart.import: 
  - fully recursive import of whole folder hierarchy
  - fixed bug with import by folder drop due to Max' stupid 32 char limit
- catart.init: check sampling rate, if 0 on startup, analysis doesn't work


cataRT-0.9.4 	 15.05.2008

- added example corpora of sounds that come with OSX and Max/MSP
- new tutorials catart tut 1-2 find units, catart tut 1-6 external descriptors
- catart.init: hook "catart.init.descriptors" for declaring additional descriptors, to be loaded externally (see below)
- catart.import:
  * external files:
    - segmentation import from soundfile markers (aiff or wav) (needs ftm 2.3.5)
    - import of flac encoded sound files if uncompressed version not found (needs ftm 2.3.5)
    - load external descriptors *per file* from <filename>.ed.txt,
      and for all files in the directory from _directory.ed.txt.
      format: table of <descriptor name> <value>
    - external descriptors for a file can also be given by sending
      set-external-descriptors <mat>
  * descriptor analysis:
    - new, more flexible protection against short units: 
      if  minsize is 0 (new default), units are dropped if no instantaneaous 
      descriptor data is present
    - display of num. units dropped because of short size (minsize or no data)
- catart.unitviewer: new module to inspect all data of a given unit, raw and cooked
- catart.data.proxy: 
  - find-units-within <descriptor> <min> <max> --> unit index fmat
  - workaround bug (in ftm.mess) with float descriptors (in catart.init)
- catart.synthesis~: added method "volume" for post-grain linear amplitude change
- catart.target: load target from midi file, exclude any number of channels
- gbr.fmat.slice: last frame is really output (and zero-padded to requested size)


cataRT-0.9.3 	 06.03.2008 (unreleased)

- catart.import:
  - import of wavesurfer/ircamalign .lab files
  - add an implicit marker at end of soundfile for import of all ASCII label files
    -> last label not dropped
  - min size of segment (default: hopsize) to avoid units without descriptor data
- catart.lcd: display of labels and choice of descriptor for label colour
- catart.data.proxy: get-stats-for <descriptor> --> std, min, max, range
- new help file catart.init.help
- new tutorials catart tut 2-2 multiple corpora, catart tut 2-4 many selections


cataRT-0.9.2 	 25.01.2008

- catart.init:  fixed missing init for catart.target
- catart.lcd:   fixed missing init messages from lcd by proper rescheduling of all messages
		using a queue, with a subpatch around ftm.schedule, since it can handle any message only from ftm 2.3 on
- fixed new-symbol with integer symbol
- added default soundset 0: empty string
- added default Label: empty string

cataRT-0.9.1 	 24.01.2008

- catart.select: send num-nearest <int: k> to receive the k-nearest neighbours at third outlet
- catart.data:   completed enable/disable methods:
  		 - by descriptor value:
 		   enable <descriptor name or index (SoundFile|SoundSet|UnitID|Phoneme)>
		          <float: id> <flag (0|1)>
		   enable-where <descriptor name or index> <operator> <value> <flag>
		 - by unit index:
 		   enable-unit  <unitid> <flag (0|1)>
		   enable-units <fmat or mat or tuple of unit ids> <flag (0|1)>
- catart.synthesis.multi: new module permitting n-channel output, see 
		 "catart tut 2-5 multichannel" (inspired by Manuel Poletti, many thanks!)
- removed gui for my private and trivial effects module from catart.lcd (empty placeholder)
- added first tutorials

cataRT-0.8.4 -> 0.9.0 	 10.01.2008

- symbol handling!:
  - catart.data: symbols are kept in a table per descriptor and are saved as .sy.txt
  - catart.data.proxy: new methods new-symbol, get-symbol-index, get-symbol-name
- catart.import: 
  - adding of labels from ascii label files with segmentation markers
    (phonemes for instance), imported into new symbol descriptor "Label"
  - auto soundset from directory
- catart.data.proxy: new methods outputting list of int/float/symbol of 
  		     descriptor values of a unit:
  - results as floats:
		     get-unit-descriptor        <unitid> <list of descr. names> 
  - results converted to int/float/symbol:
		     get-unit-descriptor-cooked <unitid> <list of descr. names> 
- optimisation:	   
  - catart.synthesis uses fixed fvec for grain, no more mem alloc! 
    (although it came from the highly optimised ftm-internal static heap)
- protection
  - synthesis watchdog that limits throughput
  - added pipe/delay/ftm.schedule after each ui object and midi input to
    push all operations into the timer thread such that they are serialised
- backwards compatibility: catart-0.9 loads all corpora written with
  older versions and even makes up the standard descriptors that didn't exist then
- more help patches:
  - catart.init

Catart-0.8.3 	 05.12.2007

- fixed ASCII marker import
- fixed SDIF marker import (needs ftm 2.3.1 to be released)
- added init hook [r catart.init.finished] 
- updated help patches:
  - help for catart.import
  - document stereo import for catart.data
  - use renamed catart.synthesis~ in help patches

cataRT-0.8.2	  20.11.2007

- version for FTM 2.2.4 and higher
- merge corpora
- open readme and web sites from main patch

cataRT-0.8.1	  19.11.2007

- version for FTM 2.2.0 and higher (the last Mac FTM version running on Max 4.5)
- aligned descriptors to 0.4 series
- correctly named catart.synthesis~, since it outputs sound, and there
  will be a non-signal catart.synthesis soon
- catart.init as abstraction with optional corpus name
  --> local help-patch init

cataRT-0.8.0	  09.11.2007	Ircam Forum CataRT-Workshop preview version

- stereo mode
- adapted to FTM 2
- removed bogus startup error messages

cataRT-0.7d	  ??.06.2007	unreleased

- catart.data.proxy, rsx: removed unnecessary abstractions from these
  often-used modules -> should speed up loading -> to 0.4.1
- catart.select: fix init (removes error messages on init) -> to 0.4.1

cataRT-0.7c	  20.04.2007	unreleased

- catart.data: added global sound file cache that avoids double loading of sound data
- catart.synthesis: constrain xfade to 1/2 grain size -> avoid clicks, 
  removed grain extension by xfade time, added by Alexis?

cataRT-0.7b	  13.04.2007	unreleased

- catart.data.proxy, catart.lcd, catart.select, catart.synthesis: 
  added set-corpus methods to change the corpus the modules refer to
- catart.instrument~: new synth module that selectively plays a soundset
- catart.data(.proxy): finished soundset implementation: 
  saved and loaded as .ss.txt, lookup, query

cataRT-0.6e	  11.04.2007	unreleased

- catart.data.proxy:	get-stats-where for Thomas/Stefano/Genevieve
- catart.data:   end-of-corpus-import bang
- catart.select: output number of units in radius on 2nd outlet
  		 new method unselect-all to clear all weights
- catart.import: fix bug for no seg/split seg
- ftm.mdispatch: new #0_number method for int and float

cataRT-0.6d	  23.03.2007	unreleased

- silence segmentation!

cataRT-0.6c	  13.02.2007	unreleased

- pattrisation of lcd, by Alexis Baskind, many thanks!
- continue mode (for Enigmes)
- en/disable sound files
- help files

cataRT-0.5c	  ??.01.2007	unreleased

- on corpus import, try loading soundfiles by basename from path first, then 
  with given full path
- fixed bug in corpus import not accepting spaces in filenames
- live analysis

cataRT-0.5b	  19.12.2006	unreleased

- included yin segmentation by Roland Cahen and Etienne Rostagno for 
  soundfile import, live import, and live control!
- faster lcd drawing, timed and tested with 'lcd timer.pat'
- no more mouse-wheel zoom, but sketch of drag-rectangle-with-control zoom
- as used for LAM conference concerts with George Lewis, Evan Parker, and 
  Sam Britton at Goldsmith's College, London

cataRT-0.5a	  11.12.2006	unreleased

- real-time recording into corpus, just in time for playing with George and Evan
  choose max corpus size, segmentation mode, and then switch on live import
- ftm.mdispatch: worked around bug in Max's zl slice


cataRT-0.4.2	  18.10.2007

- fixed radius display to correspond exactly to selectable units
- fixed one init that could come too late on slow machines
- reinit import queue on init
- individual clear buttons per corpus
- added catart.data.help

cataRT-0.4.1	  20.06.2007

- added catart.select.help, created help folder
- catart.select: output #units in range, control of selection data output
- catart.data.proxy, rsx: removed unnecessary abstractions from these 
  often-used modules -> should speed up loading


cataRT-0.4.0	  06.06.2007

- removed ALL error messages on init, can you believe it?
- quickstart comments in main patch and pointers to more doc
- catart.lcd:	descriptor presets by name, descriptor menu number box usable 
  to quickly zap through descriptors
- catart.data:  changed standard descriptors to future-proof list
  (reserving coming grouping descriptors) (This also means that corpora
  saved with preview versions 0.4h or before can not be imported.)
- catart.import: added sound file import method, to have a nice button
- backport of some fixes and workarounds: compute_descr lost presets,
  segments going wild, bogus last unit seletion on empty radius
- removed most midi control patches, that were using an old interface from v0.2
- disabled lcd zoom functionality, depending on tricky hi object
- everything seems to work without hitting init explicitly... 

cataRT-0.4h-rc6	  23.04.2007

- fixed bug for init of segmentation: no need to wiggle chop size anymore
  maybe this even fixed the need to hit init explicitly?

cataRT-0.4h-rc5	  03.03.2007

- fixed nasty init bug with descriptors
- on corpus import, try loading soundfiles by basename from path first, then 
  with given full path
- fixed bug in corpus import not accepting spaces in filenames
- new catart.data.proxy method: get-units-where
- needs ftm 1.7.11 (or 1.7.12)

cataRT-0.4h-rc4	  22.12.2006

- Include workaround from 0.5a and catart.lcd from 0.5b
- removed some non-functional subpatches

cataRT-0.4h-rc3	  03.12.2006

- added MIDI pitch descriptor NoteNumber (Mikhail Malt's suggestion) while I'm at it (changing descriptors that is)

cataRT-0.4h-rc1	  28.11.2006

- for Hans Tutschku: import Markers from SDIF or ASCII file, with SDIF selection
- remove useless EndTime descriptor
- catart.lcd: display selection cursor descriptor position, 
   	      freeze checkbox can be used to unfreeze

cataRT-0.4g-rc4	  27.11.2006

- switched around yin features Loudness and Periodicity: since some
  time, gbr.yin has changed the order of outputs (to align with yin~,
  but lacking documentation), so Loudness and Aperiodicity were
  inversed.  Also the Max objetcs output in fact Periodicity as the
  "quality factor", unlike the matlab version.
- fixed some remaning global send/recieves

cataRT-0.4g 	  08.11.2006

- finally real import/export dialogs for corpora: they are saved as
  three text files (.ds.txt, .sf.txt, .ud.txt), you can choose any of
  these or just the base name (keep it short, since Max's file dialogs
  are still stuck with 31 char names).
- minimal grain rate of 0.001 for safety
- session recording

cataRT-0.4f 	  31.10.2006

- simplified version of Greg's sequencer from 0.4e
- catart.select: setselect/unselect to add any descriptor to selection,
  use weight with std for sigma

cataRT-0.4f-ensci 24.10.2006

 - based on cataRT-0.4cc
 - addition for ENIGMES project: OSC communation with Virtual Choreographer
 - unit on/off mode with looping at natural duration (chain)
 - catart.data.proxy: new method get-stats with corpus stats dict
 - choose basename for im/export with savedialog (strange!)
 - pseudo AR-envelope using separate crossfade times

cataRT-0.4e 	 22.09.2006

- Greg's advances on the sequencer and catart.player trigger module

cataRT-0.4cc 	 21.09.2006

- you can now drop a whole directory onto import: recurse folders
  adds all contained sound files to the import queue to be loaded (not
  recursively) 
- fixed the click to freeze vs. drag to change radius ambiguity 
- fixed import limit 
- shown at DAFx 2006, McGill University, Montreal

cataRT-0.4d 	 08.09.2006

- trying to reintegrate Greg's approach to sequencing in new
  architecture -> later
- standalone analysis.pat patch to try loudness-based segmentation

cataRT-0.4c 	 04.09.2006

- included Greg's catart.segmentation.params interface
- display of corpus contents after import
- first go at beatbox
- known bugs: hit init, don't care about error messages

cataRT-0.4bb 	 29.08.2006	(b still like beta!)

- recovered from hard disk crash

- catart.data export fixed for distributed ftm 1.7.7 with mat return missing
- catart.lcd protected against race condition between gui and timer thread
- known bugs:
  - you must bang init yourself and set a chop size
  - import limit doesn't work
  - dragging radius also freezes selection
  - lots of bogus error messages on startup -> just ignore

cataRT-0.4b 	 15.08.2006	(b like beta!)

- changed license from fully restricted copyright to GPL
- catart.import with import queue
- catart.lcd: mouse-wheel zoom, click to freeze
- export/import corpus to text files
- as used for placard #9 concert by Mean Time Between Failures
  (http://mtbf.concatenative.net)

cataRT-0.4a	 1.06.2006

- revert to architecture documented in catart-architecture-2.xmi:
- multiple corpora (identified by name), multiple lcds per corpus
- one or more selections per corpus, separate syntesis engine

_______________________________________________________________________________

cataRT-0.3	28.05.2006 (unreleased)

- abandoned architecture documented in catart-architecture-1.xmi
  (separation of sound store and corpus): too much PITA

_______________________________________________________________________________

0.2 Branch:

cataRT-0.2j	16.06.2006

- successor to cataRT-0.2h2
- fixed dscale abstraction for Matthew Burtner
- change selected unit descriptor graph colours to be distinguishable for the 
  red/green perception challenged
- incorporate lcd freeze from cataRT-0.2g-Alexis4

cataRT-0.2i	21.04.2006 (abandoned)

- catart.from.matlab: import MPEG-7 and Cuidado descriptors
  calculcated in Matlab by Geoffroy's GDClass.m for Bruno
- abandoned because of descriptor order bug

cataRT-0.2h	17.05.2006

- first attempt at real-time control (using gbr.yin's pitch and loudness
  mapped to x/y axis)

cataRT-0.2g	15.02.2006

- import of one element of an SDIF matrix
- used for Greg's SDIF formant file import
- add-descriptor as abstraction -> data structures need to be global

cataRT-0.2f	10.02.2006

- as used for MTBF concert at SARC, Belfast
- four channel output
- working sets

cataRT-0.2e	07.02.2006

- save corpus in ftm ascii file (flaky)

cataRT-0.2d	03.02.2006

- range for random selection controlled by circle (needs ftm 1.7.4)
- circle controlled also by mouse-drag right/left in lcd
- fixed spectral flatness calculation

cataRT-0.2c	05.01.2006

- all button imports whole (short) sound file
- short sounds imported correctly

cataRT-0.2b

- import by drag and drop of sound file
- descriptor calculation in patchs

cataRT-0.1

- cuidado descriptor and marker import from SDIF 
